require 'json'
require_relative '../stock'

module Charred
  module Troll
    def load_troll(data)
      file = File.read('data/troll/skills.json')
      skills = JSON.parse(file)
      verbose_merge data[:skills], skills

      file = File.read('data/troll/traits.json')
      traits = JSON.parse(file)
      verbose_merge data[:traits], traits

      file = File.read('data/troll/lifepaths.json')
      contents = JSON.parse(file)
      lifepaths = contents["settings"]
      data[:lifepaths]['troll'] = lifepaths

      file = File.read("data/troll/resources.json")
      contents = JSON.parse(file)
      resources = contents["resources"]
      data[:resources]['troll'] = resources

      file = File.read("data/troll/stock.json")
      stock = JSON.parse(file)
      data[:stocks]['troll'] = Stock.new(stock)
    end
  end
end
